Groovy 1.7.0

## org.codehaus.groovy.tools.ast
Class TestHarnessOperation

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation
          org.codehaus.groovy.tools.ast.TestHarnessOperation

    class TestHarnessOperation
    extends PrimaryClassNodeOperation

Operation exists so that an AstTransformation can be run against the SourceUnit.

author:
  Hamlet D'Arcy

Constructor Summary
`TestHarnessOperation(def transform)`

Method Summary
`void` | `call(SourceUnit source, GeneratorContext context, ClassNode classNode)`

Constructor Detail

### TestHarnessOperation

    public TestHarnessOperation(def transform)

Method Detail

### call

    public void call(SourceUnit source, GeneratorContext context, ClassNode classNode)

Copyright © 2003-2009 The Codehaus. All rights reserved.